import { httpRequest } from '@/services/http'
import { HttpParams } from '@/services/http/interface'

/**
 * 获取现货行情
 */
export function querySpotGoodsPrice(params: HttpParams<{ req: Model.SpotGoodsPriceReq, rsp: Model.SpotGoodsPriceRsp[] }>) {
    return httpRequest('/Ferroalloy/GetSpotGoodsPrice', 'get', params);
}

/**
 * 查询行情-现货列表
 */
export function querySpotgoodsPrice(params: HttpParams<{ req: Model.SpotgoodsPriceReq, rsp: Model.SpotgoodsPriceRsp[] }>) {
    return httpRequest('/Ferroalloy/QuerySpotgoodsPrice', 'get', params);
}